body {
    font-family: 'Arial', sans-serif;
    background-color: #1e1e28;
    color: white;
    margin: 0;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    background-color: #27293d;
    border-radius: 20px;
    padding: 20px;
    width: 300px;
}

.btn-connect, .btn-buy {
    background: linear-gradient(135deg, #b294ff, #57e6e6);
    border: none;
    color: white;
    padding: 12px;
    width: 100%;
    margin: 10px 0;
    border-radius: 30px;
    cursor: pointer;
    transition: opacity 0.3s ease;
}

.btn-connect:hover, .btn-buy:hover {
    opacity: 0.8;
}

.info, .balance {
    background-color: #1e1e28;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 10px;
}

.info p, .balance p {
    margin: 5px 0;
    font-size: 0.9em;
}

.btn-currency {
    background-color: #333;
    border: none;
    padding: 8px 16px;
    margin: 5px;
    border-radius: 20px;
    cursor: pointer;
    color: white;
    font-size: 0.8em;
    outline: none;
    display: inline-block;
}

.btn-currency.active {
    background: linear-gradient(135deg, #b294ff, #57e6e6);
}

.input-group {
    margin-bottom: 15px;
}

.input-group label {
    display: block;
    margin-bottom: 5px;
    font-size: 0.8em;
}

.input-group input {
    width: calc(100% - 50px); /* Adjust width based on the max button */
    padding: 10px;
    margin-right: 5px;
    border-radius: 20px;
    border: none;
    background-color: #333;
    color: white;
    display: inline-block;
}

.btn-max {
    padding: 10px 20px;
    background-color: #444;
    color: white;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    display: inline-block;
    font-size: 0.8em;
}

.btn-max:hover {
    background-color: #555;
}

.btn-buy {
    display: block;
    width: 100%;
    margin-top: 10px;
}

